> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /courtlistener/opinions/search

> Search US court opinions by full-text query, court, judge, citation, date and citation count

**Price:** 1 credit per 20 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/courtlistener/opinions/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/courtlistener/opinions/search:
    post:
      tags:
        - /courtlistener
      summary: /courtlistener/opinions/search
      description: >-
        Search US court opinions by full-text query, court, judge, citation,
        date and citation count


        **Price:** 1 credit per 20 results
      operationId: __api_courtlistener_opinions_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CourtlistenerOpinionsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CourtlistenerOpinion'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CourtlistenerOpinionsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        q:
          anyOf:
            - type: string
            - type: 'null'
        court:
          anyOf:
            - type: string
            - type: 'null'
        judge:
          anyOf:
            - type: string
            - type: 'null'
        case_name:
          anyOf:
            - type: string
            - type: 'null'
        docket_number:
          anyOf:
            - type: string
            - type: 'null'
        citation:
          anyOf:
            - type: string
            - type: 'null'
        neutral_cite:
          anyOf:
            - type: string
            - type: 'null'
        filed_after:
          anyOf:
            - type: string
            - type: 'null'
        filed_before:
          anyOf:
            - type: string
            - type: 'null'
        cited_gt:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        cited_lt:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/CourtlistenerOpinionStatus'
            - type: 'null'
        order_by:
          $ref: '#/components/schemas/CourtlistenerOpinionsOrder'
          default: score desc
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    CourtlistenerOpinion:
      properties:
        '@type':
          type: string
          default: CourtlistenerOpinion
        cluster_id:
          type: integer
        docket_id:
          anyOf:
            - type: integer
            - type: 'null'
        case_name:
          anyOf:
            - type: string
            - type: 'null'
        case_name_full:
          anyOf:
            - type: string
            - type: 'null'
        court:
          anyOf:
            - type: string
            - type: 'null'
        court_id:
          anyOf:
            - type: string
            - type: 'null'
        court_citation_string:
          anyOf:
            - type: string
            - type: 'null'
        court_jurisdiction:
          anyOf:
            - type: string
            - type: 'null'
        docket_number:
          anyOf:
            - type: string
            - type: 'null'
        judge:
          anyOf:
            - type: string
            - type: 'null'
        attorney:
          anyOf:
            - type: string
            - type: 'null'
        citations:
          items:
            type: string
          type: array
          default: []
        lexis_cite:
          anyOf:
            - type: string
            - type: 'null'
        neutral_cite:
          anyOf:
            - type: string
            - type: 'null'
        cite_count:
          type: integer
          default: 0
        status:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        scdb_id:
          anyOf:
            - type: string
            - type: 'null'
        posture:
          anyOf:
            - type: string
            - type: 'null'
        procedural_history:
          anyOf:
            - type: string
            - type: 'null'
        suit_nature:
          anyOf:
            - type: string
            - type: 'null'
        syllabus:
          anyOf:
            - type: string
            - type: 'null'
        panel_ids:
          items:
            type: integer
          type: array
          default: []
        panel_names:
          items:
            type: string
          type: array
          default: []
        non_participating_judge_ids:
          items:
            type: integer
          type: array
          default: []
        sibling_ids:
          items:
            type: integer
          type: array
          default: []
        opinions:
          items:
            $ref: '#/components/schemas/CourtlistenerOpinionDoc'
          type: array
          default: []
        filed_at:
          anyOf:
            - type: integer
            - type: 'null'
        argued_at:
          anyOf:
            - type: integer
            - type: 'null'
        reargued_at:
          anyOf:
            - type: integer
            - type: 'null'
        reargument_denied_at:
          anyOf:
            - type: integer
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - cluster_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CourtlistenerOpinionStatus:
      type: string
      enum:
        - Published
        - Unpublished
        - Errata
        - Separate
        - In-chambers
        - Relating-to
        - Unknown
    CourtlistenerOpinionsOrder:
      type: string
      enum:
        - score desc
        - dateFiled desc
        - dateFiled asc
        - citeCount desc
        - citeCount asc
        - dateArgued desc
        - dateArgued asc
    CourtlistenerOpinionDoc:
      properties:
        '@type':
          type: string
          default: CourtlistenerOpinionDoc
        id:
          type: integer
        opinion_type:
          anyOf:
            - type: string
            - type: 'null'
        author_id:
          anyOf:
            - type: integer
            - type: 'null'
        per_curiam:
          type: boolean
          default: false
        download_url:
          anyOf:
            - type: string
            - type: 'null'
        local_path:
          anyOf:
            - type: string
            - type: 'null'
        sha1:
          anyOf:
            - type: string
            - type: 'null'
        snippet:
          anyOf:
            - type: string
            - type: 'null'
        ordering_key:
          anyOf:
            - type: integer
            - type: 'null'
        cites:
          items:
            type: integer
          type: array
          default: []
        joined_by_ids:
          items:
            type: integer
          type: array
          default: []
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````